javax.ws.rs

## Enum RuntimeType

- java.lang.Object
- - java.lang.Enum<RuntimeType>
  - - javax.ws.rs.RuntimeType

- All Implemented Interfaces:
    Serializable, Comparable<RuntimeType>

      public enum RuntimeType
      extends Enum<RuntimeType>

  Enumeration of JAX-RS runtime types.
  Since:
    2.0
  Author:
    Marek Potociar

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT` JAX-RS client run-time.
    `SERVER` JAX-RS server run-time.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuntimeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RuntimeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final RuntimeType CLIENT

      JAX-RS client run-time.

    - #### SERVER

          public static final RuntimeType SERVER

      JAX-RS server run-time.

  - ### Method Detail

    - #### values

          public static RuntimeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuntimeType c : RuntimeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuntimeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.